from rucksack.file.rucksack_loader import RucksackLoader
from rucksack.ItemPriorities import item_priority
from entities.elf import Elf


if __name__ == "__main__":
    rs = RucksackLoader("./input/day3/input.lst").parse_file()
    i = item_priority
    duplicate_prios = []
    for rucksack in rs:
        elf = Elf()
        duplicate = elf.check_rucksack_for_compartment_duplicates(rucksack)
        duplicate_prios.append(item_priority[duplicate])
        print(f"{elf} found duplicate \"{duplicate}\" with priority {item_priority[duplicate]}!")

    print()
    print(f"The priority sum is {sum(duplicate_prios)}")
